package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.HistoryEntry;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;


public class HistoryEntry_File_Impl implements HistoryEntry {
    private final String action;
    private final String content;
    private final String contentType;
    private final String date;

    @Override
    public String getContent() {
        return content;
    }

    public String getContentType() {
        return contentType;
    }

    @Override
    public String getDate() {
        return date;
    }

    public HistoryEntry_File_Impl(String content, String contentType, String date, String action) {
        this.action = action;
        this.content = content;
        this.contentType = contentType;
        this.date = date;
    }

    @Override
    public String getAction() {
        return this.action;
    }

    @Override
    public MongoDBEntryType getType() {
        return MongoDBEntryType.HISTORY_ENTRY;
    }
}
